diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
index 6d959b5c..d5997cb4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_get.py
@@ -11,50 +11,52 @@ from __future__ import print_function
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas \
     .fts_configurations.tests import utils as fts_config_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_configuration_utils
 
 
-class FTSConfGetTestCase(BaseTestGenerator):
-    """ This class will fetch added fts_configuration under schema node. """
+class TestFTSConfiguraionGet:
+    def test_fts_configuration_table_get(self, request, context_of_tests):
+        """
+        When the FTS configuration get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    scenarios = [
-        # Fetching default URL for fts_configuration node.
-        ('Fetch FTS configuration Node URL',
-         dict(url='/browser/fts_configuration/obj/'))
-    ]
+        url = '/browser/fts_configuration/obj/'
 
-    def setUp(self):
-        """ This function will create FTS configuration."""
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = schema_data['schema_name']
-        self.schema_id = schema_data['schema_id']
-        self.server_id = schema_data['server_id']
-        self.db_id = schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:8]
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
+        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:8]
         self.fts_conf_id = fts_configuration_utils.create_fts_configuration(
-            self.server, self.db_name, self.schema_name, self.fts_conf_name)
-
-    def runTest(self):
-        """ This function will fetch new FTS configuration under test schema.
-        """
+            self.server, self.db_name, self.schema_name, self.fts_conf_name
+        )
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -64,21 +66,23 @@ class FTSConfGetTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
-        get_response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.get(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.fts_conf_id),
             content_type='html/json')
 
-        self.assertEquals(get_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('name') > \
+            should.be.equal.to(self.fts_conf_name)
 
     def tearDown(self):
-        """This function delete the fts_config and disconnect the test
-        database."""
         fts_config_utils.delete_fts_configurations(self.server, self.db_name,
                                                    self.schema_name,
                                                    self.fts_conf_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
index 7607b395..fed7c9fb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/tests/test_fts_configuration_put.py
@@ -12,50 +12,52 @@ from __future__ import print_function
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas \
     .fts_configurations.tests import utils as fts_config_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_configuration_utils
 
 
-class FTSConfPutTestCase(BaseTestGenerator):
-    """ This class will update added FTS configuration under schema node. """
+class TestFTSConfiguraionPut:
+    def test_fts_configuration_table_put(self, request, context_of_tests):
+        """
+        When the FTS configuration put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    scenarios = [
-        # Fetching default URL for fts_configuration node.
-        ('Fetch FTS configuration Node URL',
-         dict(url='/browser/fts_configuration/obj/'))
-    ]
+        url = '/browser/fts_configuration/obj/'
 
-    def setUp(self):
-        """ This function will create FTS configuration."""
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = schema_data['schema_name']
-        self.schema_id = schema_data['schema_id']
-        self.server_id = schema_data['server_id']
-        self.db_id = schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:8]
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
+        self.fts_conf_name = "fts_conf_%s" % str(uuid.uuid4())[1:8]
         self.fts_conf_id = fts_configuration_utils.create_fts_configuration(
-            self.server, self.db_name, self.schema_name, self.fts_conf_name)
-
-    def runTest(self):
-        """ This function will update new FTS configuration under
-        test schema. """
+            self.server, self.db_name, self.schema_name, self.fts_conf_name
+        )
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -65,34 +67,35 @@ class FTSConfPutTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
-        fts_conf_response = fts_configuration_utils.verify_fts_configuration(
-            self.server, self.db_name, self.fts_conf_name
-        )
-
-        if not fts_conf_response:
-            raise Exception("Could not find the FTS Configuration.")
-
         data = \
             {
                 "description": "This is FTS configuration update comment",
                 "id": self.fts_conf_id
             }
 
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.put(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.fts_conf_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'fts_configuration',
+            'pgadmin.node.fts_configuration',
+            False,
+            'icon-fts_configuration',
+            self.fts_conf_name
+        )
 
     def tearDown(self):
-        """This function delete the fts_config and disconnect the test
-        database."""
         fts_config_utils.delete_fts_configurations(self.server, self.db_name,
                                                    self.schema_name,
                                                    self.fts_conf_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/__init__.py
index 8f5b6fb2..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ForeignTableTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
index c419a2da..f0481934 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_add.py
@@ -12,40 +12,46 @@ from __future__ import print_function
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
 from pgadmin.browser.server_groups.servers.databases.schemas \
     .fts_dictionaries.tests import utils as fts_dict_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class FtsDictionaryAddTestCase(BaseTestGenerator):
-    """ This class will add new FTS dictionary under schema node. """
+class TestFTSDictionariesAdd:
+    def test_fts_dictionaries_add(self, request, context_of_tests):
+        """
+        When the FTS dictionaries add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/fts_dictionary/obj/'
 
-    scenarios = [
-        # Fetching default URL for FTS dictionary node.
-        ('Fetch FTS dictionary Node URL', dict(
-            url='/browser/fts_dictionary/obj/'))
-    ]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-    def runTest(self):
-        """ This function will add new FTS dictionary under test schema. """
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -54,6 +60,7 @@ class FtsDictionaryAddTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema.")
+
         self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:8]
         data = \
             {
@@ -70,19 +77,26 @@ class FtsDictionaryAddTestCase(BaseTestGenerator):
             }
 
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.schema_id) + '/',
             data=json.dumps(data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'fts_dictionary',
+            'pgadmin.node.fts_dictionary',
+            False,
+            'icon-fts_dictionary',
+            self.fts_dict_name
+        )
 
     def tearDown(self):
-        """This function delete the fts dictionaries and disconnect the test
-        database."""
         fts_dict_utils.delete_fts_dictionaries(self.server, self.db_name,
                                                self.schema_name,
                                                self.fts_dict_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
index 7c93a37a..728f7228 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_delete.py
@@ -11,50 +11,44 @@ from __future__ import print_function
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_dict_utils
 
 
-class FtsDictionaryDeleteTestCase(BaseTestGenerator):
-    """ This class will delete added FTS Dictionary under schema node. """
-
-    scenarios = [
-        # Fetching default URL for FTS dictionary node.
-        ('Fetch FTS dictionary Node URL', dict(
-            url='/browser/fts_dictionary/obj/'))
-    ]
+class TestFTSDictionariesDelete:
+    def test_fts_dictionaries_delete(self, request, context_of_tests):
+        """
+        When the FTS dictionaries delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
+        url = '/browser/fts_dictionary/obj/'
 
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:8]
-
-        self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
-            self.server,
-            self.db_name,
-            self.schema_name,
-            self.fts_dict_name)
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-    def runTest(self):
-        """ This function will update FTS dictionary present under
-                   test schema. """
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -64,6 +58,13 @@ class FtsDictionaryDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
+        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:8]
+        self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
+            self.server,
+            self.db_name,
+            self.schema_name,
+            self.fts_dict_name)
+
         dict_response = fts_dict_utils.verify_fts_dict(self.server,
                                                        self.db_name,
                                                        self.fts_dict_name)
@@ -71,18 +72,23 @@ class FtsDictionaryDeleteTestCase(BaseTestGenerator):
         if not dict_response:
             raise Exception("Could not find the FTS dictionary.")
 
-        delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.fts_dict_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'FTS Dictionary dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        """This function disconnect the test database."""
-
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
index b670b0ae..d85785df 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_get.py
@@ -11,49 +11,44 @@ from __future__ import print_function
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_dict_utils
 
 
-class FtsDictionaryGetTestCase(BaseTestGenerator):
-    """ This class will fetch new FTS dictionary under schema node. """
-
-    scenarios = [
-        # Fetching default URL for FTS dictionary node.
-        ('Fetch FTS dictionary Node URL', dict(
-            url='/browser/fts_dictionary/obj/'))
-    ]
+class TestFTSDictionariesGet:
+    def test_fts_dictionaries_get(self, request, context_of_tests):
+        """
+        When the FTS dictionaries get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
+        url = '/browser/fts_dictionary/obj/'
 
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:8]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
-            self.server,
-            self.db_name,
-            self.schema_name,
-            self.fts_dict_name)
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
-    def runTest(self):
-        """ This function will fetch new FTS dictionaries under test schema.
-        """
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -63,20 +58,29 @@ class FtsDictionaryGetTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
-        response = self.tester.get(self.url + str(utils.SERVER_GROUP) + '/' +
+        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:8]
+        self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
+            self.server,
+            self.db_name,
+            self.schema_name,
+            self.fts_dict_name
+        )
+
+        response = self.tester.get(url + str(utils.SERVER_GROUP) + '/' +
                                    str(self.server_id) + '/' +
                                    str(self.db_id) + '/' +
                                    str(self.schema_id) + '/' +
                                    str(self.fts_dict_id),
                                    content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('name') > \
+            should.be.equal.to(self.fts_dict_name)
 
     def tearDown(self):
-        """This function delete the fts dictionaries and disconnect the test
-        database."""
         fts_dict_utils.delete_fts_dictionaries(self.server, self.db_name,
                                                self.schema_name,
                                                self.fts_dict_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
